﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.Pdf.Interactive;
using System.IO;

namespace ConsoleApplication1
{
    class Program
    {
        public static string DataPathBase
        {
            get
            {

                return System.Environment.CurrentDirectory + @"\..\..\Data\";

            }
        }
        public static string DataPathOutput
        {
            get
            {
                if (!System.IO.Directory.Exists(System.Environment.CurrentDirectory + @"\..\..\Output\"))
                    System.IO.Directory.CreateDirectory(System.Environment.CurrentDirectory + @"\..\..\Output\");
                return System.Environment.CurrentDirectory + @"\..\..\Output\";
            }
        }
        static void Main(string[] args)
        {
           Sample();
        }

        static void Sample()
        {
            //Create a new PDF document.
            PdfDocument doc = new PdfDocument();

           

            //Add a page to the document.
            PdfPage page = doc.Pages.Add();

            //Read the text from the text file
            StreamReader reader = new StreamReader(DataPathBase+@"Manual.txt", System.Text.Encoding.ASCII);
            string text = reader.ReadToEnd();
            reader.Close();

            //Set the font
            Font f = new Font("Arial", 12);
            PdfTrueTypeFont font = new PdfTrueTypeFont(f, false);

            //Set the formats for the text
            PdfStringFormat format = new PdfStringFormat();
            format.Alignment = PdfTextAlignment.Justify;
            format.LineAlignment = PdfVerticalAlignment.Top;
            format.ParagraphIndent = 15f;

            //Create a text element 
            PdfTextElement element = new PdfTextElement(text, font);
            element.Brush = new PdfSolidBrush(Color.Black);
            element.StringFormat = format;
            element.Font = new PdfStandardFont(PdfFontFamily.Helvetica, 12);

            //Set the properties to paginate the text.
            PdfLayoutFormat layoutFormat = new PdfLayoutFormat();
            layoutFormat.Break = PdfLayoutBreakType.FitPage;
            layoutFormat.Layout = PdfLayoutType.Paginate;

            RectangleF bounds = new RectangleF(PointF.Empty, page.Graphics.ClientSize);

            //Draw the text element with the properties and formats set.
            PdfTextLayoutResult result = element.Draw(page, bounds, layoutFormat);


            reader = new StreamReader(DataPathBase + @"Manual2.txt", System.Text.Encoding.ASCII);
            text = reader.ReadToEnd();
            reader.Close();



            element = new PdfTextElement(text, font);


           // Set bounds of next text based on last layout bounds
            bounds = new RectangleF( result.LastLineBounds.X , result.LastLineBounds.Y+20, page.Graphics.ClientSize.Width, page.Graphics.ClientSize.Height);
            // Use the  PdfTextLayoutResult Page propoerty whihch gets the last layout page after pagination.
            element.Draw(result.Page, bounds, layoutFormat);




            doc.Save(DataPathOutput+"Test2.pdf");
            doc.Close(true);
            System.Diagnostics.Process.Start(System.IO.Path.Combine(DataPathOutput, "Test2.pdf"));


        }


       }
}
